data:extend({

	{
		type = "generator",
		name = "petroleum-generator",
		icon = "__Diesel_Generator__/graphics/steam-turbine_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {mining_time = 1, result = "petroleum-generator"},
		max_health = 300,
		corpse = "big-remnants",
		effectivity = 100,
		fluid_usage_per_tick = 0.005,
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-1.3, -1.3}, {1.2, 1.3}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		fluid_box =
		{
			base_area = 1,			
			pipe_connections =
			{
				{ position = {-1, 2} },
				{ position = {-1,-2} },
			},
			
		},
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-output"
		},
		horizontal_animation =
		{
			filename = "__Diesel_Generator__/graphics/steam_turb_ha-small-shadow.png",
			width = 120,
			height = 120,
			frame_count = 10,
			line_length = 10,
			shift = {0.33,-0.88}
		},
		vertical_animation =
		{
			filename = "__Diesel_Generator__/graphics/steam-turb-va-small-shadow.png",
			width = 144,
			height = 132,
			frame_count = 10,
			line_length = 10,
			shift = {0.9,-0.6}
		},			
		smoke =
		{
			{
				name = "smoke",
				north_position = {0.85, -2.8},
				east_position = {1.1, -2.6},
				deviation = {0.1, 0.1},
				frequency = 0.2,
				offset = 0.33
			},
			{
				name = "smoke",
				north_position = {-0.85, -2.8},
				east_position = {1.1, -1.6},
				deviation = {0.1, 0.1},
				frequency = 0.2,
				offset = 0.33
			},
		},
	working_sound =
    {
      sound =
      {
        filename = "__Diesel_Generator__/sounds/petroleum-generator-loop-2.ogg",
        volume = 0.6
      },
      match_speed_to_activity = true,
    },
    min_perceived_performance = 0.25,
    performance_to_sound_speedup = 0.5
  }  
})